AgentConnect
Agents

Add a chat API to an agent

Lets API keys that select this agent call it over protocol. Idempotent: adding an API the agent already accepts returns the existing entry. Refused with 409 DAEMON_UPGRADE_REQUIRED while a connected daemon serving the agent cannot take the protocol.

PUT
/v1/orgs/{orgId}/agents/{agentId}/api/{protocol}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

orgId*string
agentId*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid
protocol*string

Value in

  • "ai-sdk-ui"
  • "ag-ui"

Response Body

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/v1/orgs/string/agents/497f6eca-6276-4993-bfeb-53cbbbba6f08/api/ai-sdk-ui"
{  "protocol": "ai-sdk-ui",  "createdBy": "string",  "createdAt": "2019-08-24T14:15:22Z",  "gate": {    "decisionId": "string",    "when": {      "type": "choice",      "thresholds": {        "property1": 0,        "property2": 0      }    },    "nextStepId": "string",    "elseStepId": "string",    "type": "gate",    "steps": [      {        "decisionId": "string",        "when": {          "type": "choice",          "thresholds": {            "property1": 0,            "property2": 0          }        },        "nextStepId": "string",        "elseStepId": "string",        "id": "string"      }    ]  }}